Modify

Opened 7 years ago

Closed 6 years ago

#7728 closed defect (fixed)

'diff' causes a crash with mastertickets plugin enabled.

Reported by: anonymous Owned by: Noah Kantrowitz
Priority: normal Component: MasterTicketsPlugin
Severity: major Keywords:
Cc: okul@…, braamvh@… Trac Release: 0.11

Description (last modified by Ryan J Ollos)

Hi, To reproduce:

  • Change the description for a ticket and then submit it.
  • In the change history you will see something like "description modified (diff)"
  • click on diff
  • crash *

log Python Traceback

Most recent call last:
File "c:\program files\bitnami trac stack\trac\lib\site-packages\Trac-0.11.6-py2.5.egg\trac\web\main.py", line 450, in _dispatch_request
  dispatcher.dispatch(req)
File "c:\program files\bitnami trac stack\trac\lib\site-packages\Trac-0.11.6-py2.5.egg\trac\web\main.py", line 217, in dispatch
  self._post_process_request(req, *resp)
File "c:\program files\bitnami trac stack\trac\lib\site-packages\Trac-0.11.6-py2.5.egg\trac\web\main.py", line 309, in _post_process_request
  resp = f.post_process_request(req, *resp)
File "build\bdist.win32\egg\mastertickets\web_ui.py", line 64, in post_process_request


System Information:

User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/534.3 (KHTML, like Gecko) Chrome/6.0.472.63 Safari/534.3

Trac:	0.11.6
Python:	2.5.4 (r254:67916, Dec 23 2008, 15:10:54) [MSC v.1310 32 bit (Intel)]
setuptools:	0.6c11
SQLite:	3.6.11
pysqlite:	2.5.5
Genshi:	0.5.1
mod_python:	3.3.1
RPC:	1.1.0
jQuery:	1.2.6

If you disable the master tickets plugin, there is no problem with the diff!

Hope someone can help!

thanks, Sanjay

Attachments (1)

mastertickets-error.pdf (75.7 KB) - added by anonymous 7 years ago.

Download all attachments as: .zip

Change History (7)

comment:1 Changed 7 years ago by anonymous

Request parameters:

{'action': u'diff', 'id': u'152'}

System Information

Trac 0.11.7
Python 2.5.2 (r252:60911, Jan 20 2010, 22:05:59)
[GCC 4.2.4 (Ubuntu 4.2.4-1ubuntu3)]
setuptools 0.6c8
SQLite 3.4.2
pysqlite 2.4.0
Genshi 0.5
mod_python 3.3.1
Pygments 0.9
Subversion 1.5.1 (r32289)
jQuery: 1.2.6

Python Traceback

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/trac/web/main.py", line 450, in _dispatch_request
    dispatcher.dispatch(req)
  File "/usr/lib/python2.5/site-packages/trac/web/main.py", line 217, in dispatch
    self._post_process_request(req, *resp)
  File "/usr/lib/python2.5/site-packages/trac/web/main.py", line 309, in _post_process_request
    resp = f.post_process_request(req, *resp)
  File "/usr/lib/pymodules/python2.5/mastertickets/web_ui.py", line 64, in post_process_request
    for field, field_data in change['fields'].iteritems():
KeyError: 'fields'

Local variables:

Name Value
change {'diffs': [], 'old': {'path': 'Ticket #152', 'href': ...
content_type None
data {'comment': None, 'longcol': , 'new_version': 1, 'num_changes': 1, ...
links <mastertickets.model.TicketLinks #152 blocking=[] blocked_by=[]>
req <Request "GET u'/ticket/152'">
self <mastertickets.web_ui.MasterTicketsModule object at 0x933922c>
template 'diff_view.html'
tkt <trac.ticket.model.Ticket object at 0x84d022c>

There is Exception in trac.log, just before this 'fields' key error:

2010-10-03 12:02:17,617 Trac[main] ERROR: Exception caught while post-processing request:  
Traceback (most recent call last): 
  File "/usr/lib/python2.5/site-packages/trac/web/main.py", line 239, in dispatch 
    self._post_process_request(req) 
  File "/usr/lib/python2.5/site-packages/trac/web/main.py", line 311, in _post_process_request 
    f.post_process_request(req, *(None,)*extra_arg_count) 
  File "/usr/lib/pymodules/python2.5/mastertickets/web_ui.py", line 44, in post_process_request 
    tkt = data['ticket] 
TypeError: 'NoneType' object is unsubscriptable 

Changed 7 years ago by anonymous

Attachment: mastertickets-error.pdf added

comment:2 Changed 7 years ago by Sergey Chernikov

I can confirm the same issue with the following configuration:

Trac 	0.12
Babel 	0.9.5
Docutils 	0.7
Genshi 	0.6
mod_python 	3.3.1
psycopg2 	2.2.2
Pygments 	1.3.1
Python 	2.6.6 (r266:84292, Sep 12 2010, 18:08:38) [GCC 4.2.1 20070719 [FreeBSD]]
pytz 	2010o
setuptools 	0.6c11
SilverCity 	0.9.7
Subversion 	1.6.15 (r1038135)
jQuery	1.4.2

Plugin version is 3.0.1, db backend is PostgreSQL 8.4.5.

comment:3 Changed 7 years ago by Ryan J Ollos

Description: modified (diff)

comment:4 Changed 7 years ago by anonymous

Cc: okul@… added; anonymous removed

comment:5 Changed 6 years ago by anonymous

Cc: braamvh@… added

Hi,

We are also experiencing this issue. Is there any workaround we can utilise in the meantime?

Thanks.

comment:6 Changed 6 years ago by Noah Kantrowitz

Resolution: fixed
Status: newclosed

Pretty sure this is fixed in master.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Noah Kantrowitz.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.